summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2016-04-13 11:12:15 -0700
committerPaul Eggert <eggert@cs.ucla.edu>2016-04-13 11:12:39 -0700
commit1aebe99145e9ef612cdb272800904e3ba9297196 (patch)
treeadff82b1ea3fc1406907a1fb561e84d8d9a9dd9a
parent7d835d8e792664e201ec50ba5f0a260d91e1fff5 (diff)
downloademacs-1aebe99145e9ef612cdb272800904e3ba9297196.tar.gz
Do not require that .git be a directory
Problem reportyed by Phillip Lord. * admin/update_autogen, autogen.sh, build-aux/gitlog-to-emacslog: * configure.ac, make-dist: Do not require that .git be a directory, as 'git worktree' makes it a file and not a directory.
-rwxr-xr-xadmin/update_autogen2
-rwxr-xr-xautogen.sh2
-rwxr-xr-xbuild-aux/gitlog-to-emacslog2
-rw-r--r--configure.ac4
-rwxr-xr-xmake-dist2
5 files changed, 6 insertions, 6 deletions
diff --git a/admin/update_autogen b/admin/update_autogen
index 199a3aad093..1e8aae2bd44 100755
--- a/admin/update_autogen
+++ b/admin/update_autogen
@@ -49,7 +49,7 @@ cd ../
if [ -d .bzr ]; then
vcs=bzr
-elif [ -d .git ]; then
+elif [ -e .git ]; then
vcs=git
else
die "Cannot determine vcs"
diff --git a/autogen.sh b/autogen.sh
index 904246509fa..2e10a77cb37 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -330,7 +330,7 @@ fi
if test ! -f configure; then
echo "You can now run '$0 autoconf'."
-elif test -d .git && test $git_was_ok = false && test $do_git = false; then
+elif test -e .git && test $git_was_ok = false && test $do_git = false; then
echo "You can now run '$0 git'."
elif test ! -f config.status ||
test -n "`find src/stamp-h.in -newer config.status`"; then
diff --git a/build-aux/gitlog-to-emacslog b/build-aux/gitlog-to-emacslog
index 5c187f5eae0..6b9cfc145bc 100755
--- a/build-aux/gitlog-to-emacslog
+++ b/build-aux/gitlog-to-emacslog
@@ -68,7 +68,7 @@ if [ -f "$output" ]; then
fi
# If this is not a Git repository, just generate an empty ChangeLog.
-test -d .git || {
+test -e .git || {
>"$output"
exit
}
diff --git a/configure.ac b/configure.ac
index 790ff84365e..8f311cf7872 100644
--- a/configure.ac
+++ b/configure.ac
@@ -874,11 +874,11 @@ AC_ARG_ENABLE([gcc-warnings],
gl_gcc_warnings=$enableval],
[# By default, use 'warn-only' if it looks like the invoker of 'configure'
# is a developer as opposed to a builder. This is most likely true
- # if GCC is recent enough and there is a .git subdirectory;
+ # if GCC is recent enough and there is a .git directory or file;
# however, if there is also a .tarball-version file it is probably
# just a release imported into Git for patch management.
gl_gcc_warnings=no
- test -d "$srcdir"/.git && test ! -f "$srcdir"/.tarball-version &&
+ test -e "$srcdir"/.git && test ! -f "$srcdir"/.tarball-version &&
gl_GCC_VERSION_IFELSE([5], [3], [gl_gcc_warnings=warn-only])]
)
diff --git a/make-dist b/make-dist
index 1cd1a50d75a..c0b0a0466f2 100755
--- a/make-dist
+++ b/make-dist
@@ -284,7 +284,7 @@ echo "Creating top directory: '${tempdir}'"
mkdir ${tempdir}
if [ "$changelog" = yes ]; then
- if test -d .git; then
+ if test -e .git; then
echo "Making top-level ChangeLog"
make ChangeLog CHANGELOG=${tempdir}/ChangeLog || \
{ x=$?; echo "make ChangeLog FAILED (try --no-changelog?)" >&2; exit $x; }